Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.oneofnone.io/v1/rewards/{id}/sync \ --header 'x-api-key: <api-key>'
import requests url = "https://api.oneofnone.io/v1/rewards/{id}/sync" headers = {"x-api-key": "<api-key>"} response = requests.post(url, headers=headers) print(response.text)
const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}}; fetch('https://api.oneofnone.io/v1/rewards/{id}/sync', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.oneofnone.io/v1/rewards/{id}/sync", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_HTTPHEADER => [ "x-api-key: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.oneofnone.io/v1/rewards/{id}/sync" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("x-api-key", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.post("https://api.oneofnone.io/v1/rewards/{id}/sync") .header("x-api-key", "<api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://api.oneofnone.io/v1/rewards/{id}/sync") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["x-api-key"] = '<api-key>' response = http.request(request) puts response.read_body
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "description": "<string>", "type": "DISCOUNT", "scope": "sitewide", "valueType": "percentage", "value": 123, "minimumPurchase": 123, "minimumQuantity": 123, "usageLimitTotal": 123, "usageLimitPerCustomer": 123, "startsAt": "<string>", "expiresAt": "<string>", "stackable": true, "codeType": "automatic", "globalCode": "<string>", "externalUrl": "<string>", "imageId": 123, "conditions": {}, "status": "draft", "totalRedemptions": 123, "totalRevenueImpact": 123, "createdAt": "<string>", "updatedAt": "<string>", "image": { "id": 123, "url": "<string>" }, "externalIds": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "rewardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "system": "shopify", "externalId": "<string>", "externalCodeId": "<string>", "syncedAt": "<string>", "syncStatus": "synced", "error": "<string>", "createdAt": "<string>", "updatedAt": "<string>", "errorCode": "gate_not_protected" } ], "access": { "qualifies": true, "reasons": [ "<string>" ] } }
{ "message": "<string>", "code": "<string>", "details": {} }
shopify
stripe
Successful response
DISCOUNT
GATED_CONTENT
FREE_CLAIM
EARLY_ACCESS
CREDIT
sitewide
collection
product
variant
percentage
fixed_amount
free_shipping
gated_content
automatic
global_code
unique_codes
Show child attributes
draft
active
paused
expired
archived